Package Details: wine-rt 1.9.21-1

Git Clone URL: https://aur.archlinux.org/wine-rt.git (read-only)
Package Base: wine-rt
Description: Realtime Wine - maps windows priority levels to linux scheduling policies
Upstream URL: http://www.winehq.com
Licenses: LGPL
Conflicts: bin32-wine, wine, wine-wow64
Provides: bin32-wine=1.9.21, wine=1.9.21, wine-wow64=1.9.21
Replaces: bin32-wine, wine
Submitter: nauticalnexus
Maintainer: nauticalnexus
Last Packager: nauticalnexus
Votes: 1
Popularity: 0.004401
First Submitted: 2016-10-21 00:33
Last Updated: 2016-10-21 00:35

Dependencies (132)

Required by (142)

Sources (4)

Latest Comments

ToxicAvenger commented on 2017-10-03 15:31

Ralf_Mardorf,

Just discovered that wine-staging also has RT capabilities. Maybe you can use it (wish I have found this earlier).

Cheers!

Ralf_Mardorf commented on 2017-09-26 05:31

You seemingly compiled against freetype2 before you upgraded it.

$ grep freetype /var/log/pacman.log | tail -1
[2017-09-23 06:25] [ALPM] upgraded freetype2 (2.8-2 -> 2.8.1-1)

https://lists.archlinux.org/pipermail/aur-general/2017-September/033570.html

ToxicAvenger commented on 2017-09-25 22:52

Hi Ralf_Mardorf,

I don't think that's the cause, but your command "sed -i 's/libcl lib32-libcl/ocl-icd lib32-ocl-icd/g'" replaced libcl and lib32-libcl for ocl-icd and lib32-ocl-icd, right? I didnt do that on my workaround. Just removed libcl and lib32-libcl. Didn't put ocl-icd or lib32-ocl-icd into the pkgbuild.
Also didn't install ocl-icd (maybe I should have?)
Didn't do this by manually compiling the package, I don't know if I got this font error you had, or if somehow yaourt skipped it.
Only errors I got were the PGP key missing and the "no space available".


Sorry to know it didn't work for you, mate.
It looks like there was an error building the font directory, I'd start looking at that error to somehow make my own workaround. Maybe it's something UI-related? I'm using mate ui.

Best regards,

Ralf_Mardorf commented on 2017-09-23 20:13

Hi ToxicAvenger,

your workaround is missing something.

$ wget https://aur.archlinux.org/cgit/aur.git/snapshot/wine-rt.tar.gz
$ tar xf wine-rt.tar.gz
$ cd wine-rt/
$ gpg --keyserver hkp://pgp.uni-mainz.de --recv-keys DA23579A74D4AD9AF9D3F945CEFAC8EAAF17519D
$ sed -i 's/libcl lib32-libcl/ocl-icd lib32-ocl-icd/g' PKGBUILD # the comment removed spaces of the original sed, the dependencies were replaced correctly
$ makepkg -s
[snip]
Error: Cannot open face ../../wine/fonts/courier.ttf
make[1]: *** [Makefile:174: coue1255.fon] Error 1
make[1]: Leaving directory '/tmp/wine-rt/src/wine-64-build/fonts'
make: *** [Makefile:16502: fonts] Error 2
==> ERROR: A failure occurred in build().
Aborting...

Or do I miss something?

Regards,
Ralf

ToxicAvenger commented on 2017-09-23 13:26

Found a workaround, thanks to the community!! Yay!!!
1 - Install lib32-ocl-icd 2.2.11-1 from AUR (https://www.archlinux.org/packages/multilib/x86_64/lib32-ocl-icd/)
2 - On terminal, type: "yaourt wine-rt" (you must have yaourt installed of course)
3 - When yaourt asks if you want to edit the PKGBUILD, choose YES
4 - Scroll down the pkgbuild until you find lib32-libcl and libcl and remove them. Delete the entries, but dont leave empty spaces on the dependencies list
5 - Save the pkgbuild and close it.
6 - Yaourt will resume the compilation. Just type YES all the way.
7 - You may have a PGP key error during install, and may need to add the key and restart the whole installation.
8 - You may have "there's no space available on device" from yaourt. In that case, you will need to change TMPPKGBUILD folder and restart the whole installation.

ToxicAvenger commented on 2017-09-18 15:30

Hey,

Is it possible to compile this without those dependencies? I've noticed they're maked in RED above. Tried to force install, no dice. I'm need of this package in order to use a VST that goes through a host using winelib. It seems that even using wineasio, I can't get a proper latency when recording e-drums suing this specific VST. Please help!!

andreson964 commented on 2017-04-22 17:59

Alguem pode me ajudar a resolver esse problema?

Instalar ou compilar dependências que faltam para wine-rt:
erro: alvo não encontrado: libcl
erro: alvo não encontrado: lib32-libcl
==> Reiniciar a compilação de wine-rt ? [s/N]

newbierewbie commented on 2017-03-29 21:05

Whats the score then boss? how you getting on.

Having trouble building this in the state you've left it

nauticalnexus commented on 2017-02-21 03:22

@Ralf_Mardorf,

Hey, sorry for the late response. I'm trying out 1.9.21 with the newer depends and then I'll update it to 2.1 if it works.

Cheers

Ralf_Mardorf commented on 2017-02-19 22:00

Hi,

the PKGBUILD contains an unavailable make dependency.

Regards,
Ralf